s3:selftest: create BUILTIN\\Administrators at startup
authorStefan Metzmacher <metze@samba.org>
Wed, 28 Jan 2009 16:24:38 +0000 (17:24 +0100)
committerStefan Metzmacher <metze@samba.org>
Wed, 28 Jan 2009 16:32:50 +0000 (17:32 +0100)
And add and remove the alias member via net rpc group
instead of net sam.

metze

source3/script/tests/selftest.sh
source3/script/tests/test_net_registry.sh

index 94621841f55c1f1e60d7bab570f9dfd4c14e1cef..c02e0ee1830984753d581cff213321fd3a3d4830 100755 (executable)
@@ -345,6 +345,13 @@ START=`date`
  bin/smbclient $CONFIGURATION -L $SERVER_IP -U% -p 139 | head -2
  MAKE_TEST_BINARY=""
 
+ MAKE_TEST_BINARY="bin/net"
+ printf "%s" "creating BUILTIN\\Administrators..."
+ bin/net -s $SERVERCONFFILE sam createbuiltingroup \
+   Administrators > /dev/null 2>&1 ||  exit 1
+ echo "DONE"
+ MAKE_TEST_BINARY=""
+
  failed=0
 
  . $SCRIPTDIR/tests_$SUBTESTS.sh
index e9f56a2cf2cc774dd16216d8e52dc74b5a4fcee4..22081ec2f617a0d97528085a5a15c0da35548dd0 100755 (executable)
@@ -7,8 +7,10 @@ RPC="$1"
 
 NET="$VALGRIND ${NET:-$BINDIR/net} $CONFIGURATION"
 
+NETREMOTE="${NET} -U${USERNAME}%${PASSWORD} -S ${SERVER} -I ${SERVER_IP}"
+
 if test "x${RPC}" = "xrpc" ; then
-       NETREG="${NET} -U${USERNAME}%${PASSWORD} -I ${SERVER_IP} rpc registry"
+       NETREG="${NETREMOTE} rpc registry"
 else
        NETREG="${NET} registry"
 fi
@@ -332,14 +334,7 @@ test_setvalue_twice()
 
 give_administrative_rights()
 {
-       bin/net -s $SERVERCONFFILE sam createbuiltingroup Administrators
-       if test "x$?" != "x0" ; then
-               echo "ERROR: creating builtin group Administrators"
-               false
-               return
-       fi
-
-       bin/net -s $SERVERCONFFILE sam addmem BUILTIN\\Administrators $USERNAME
+       ${NETREMOTE} rpc group addmem BUILTIN\\Administrators $USERNAME
        if test "x$?" != "x0" ; then
                echo "ERROR: adding user $USERNAME to BUILTIN\\Administrators"
                false
@@ -350,7 +345,7 @@ give_administrative_rights()
 
 take_administrative_rights()
 {
-       bin/net -s $SERVERCONFFILE sam delmem BUILTIN\\Administrators $USERNAME
+       ${NETREMOTE} rpc group delmem BUILTIN\\Administrators $USERNAME
        if test "x$?" != "x0" ; then
                echo "ERROR: removing user $USERNAME from BUILTIN\\Administrators"
                false